package eu.mhsl.minenet.minigames.instance.game.stateless.types.blockBattle;

import net.minestom.server.coordinate.Pos;
import net.minestom.server.item.Material;

public record Team(Pos spawnPosition, Color color) {
    public enum Color {
        RED(Material.RED_WOOL),
        BLUE(Material.BLUE_WOOL);

        private final Material block;

        Color(Material block) {
            this.block = block;
        }

        public Material getMaterial() {
            return this.block;
        }
    }
}
